---

- name: Deploy permission script
  template: src=perms.sh.j2 dest={{ rpm_root_dir }}/bin/perms.sh mode=755
  notify: reset permissions
  tags: rpm

- name: Install watcher daemon
  copy: src=watcher.pl dest={{ rpm_root_dir }}/bin/watcher.pl mode=755
  notify: restart build-watcher
  tags: rpm

- name: Deploy systemd unit
  template: src=build-watcher.service.j2 dest=/etc/systemd/system/build-watcher.service
  notify: restart build-watcher
  register: rpm_unit
  tags: rpm

- name: Reload systemd
  systemd: daemon_reload=True
  when: rpm_unit.changed
  tags: rpm
